## an 0.93-1.2

=== an-0.93/Makefile ===
#    an v0.93 - Anagram generator
#    Copyright (C) 1996 Free Software Foundation
#    Copyright (C) 1995,1996  Richard Jones
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    Mail suggestions and bug reports to
#    richard@deep-thought.org


# Change these variables to suit your system

INSTALLDIR=/usr/games
MANDIR=/usr/man/man6


# Note that if you change CC here you must also change it in ./lib/Makefile
CC=gcc

# if using a compiler which adheres strictly to ANSI C guidelines then
# uncomment the next line.

#DEFS=-DFORCE_ANSI

CFLAGS=-O -I $(LIBDIR) $(DEFS)

# Nothing should need changing below here

LIBDIR=./lib
OBJS=an.o gan_qsort.o
BIN=an
GETOPT=$(LIBDIR)/getopt.o $(LIBDIR)/getopt1.o
MAN=an.6


$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)
$(OBJS): gan.h
$(MAN):

$(GETOPT):
	cd $(LIBDIR) && make

$(INSTALLDIR)/$(BIN): $(BIN)
	cp $(BIN) $(INSTALLDIR)/$(BIN)
	chmod 755 $(INSTALLDIR)/$(BIN)
$(MANDIR)/$(MAN): $(MAN)
	cp $(MAN) $(MANDIR)/$(MAN)
	chmod 644 $(MANDIR)/$(MAN)


with-getopt: $(OBJS) $(GETOPT)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(GETOPT)

install: $(BIN) $(INSTALLDIR)/$(BIN) $(MANDIR)/$(MAN)

install-with-getopt: with-getopt $(INSTALLDIR)/$(BIN) $(MANDIR)/$(MAN)

clean:
	-rm -f $(BIN) *.o
	-rm -f $(LIBDIR)/*.o

=== an-0.93/lib/Makefile ===
#    an v0.93 - Anagram generator
#    Copyright (C) 1996 Free Software Foundation
#    Copyright (C) 1995,1996  Richard Jones
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    Mail suggestions and bug reports to
#    richard@deep-thought.org

#Note may need to change this for your system, the only reason this Makefile
#exists is because the non-gnu make on suns is brain dead.

CC=gcc
CFLAGS=-O
all: getopt.o getopt1.o

## an 0.93-1

=== debian/changelog ===
an (0.93-1) unstable; urgency=low

  * First Debian Release

 -- Richard Jones <richard@deep-thought.org>  Sun, 9 Feb 1997 01:46:01 +1100

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: an
Section: games
Priority: extra
Maintainer: Richard Jones <richard@deep-thought.org>
Standards-Version: 2.1.1.0

Package: an
Architecture: i386
Depends: ${shlibs:Depends}
Description: Very fast anagram generator.
 Generates anagrams for a phrase supplied by the user, the words used in the
 anagram are taken from a specified dictionary which should contain one word
 per line (default:/usr/dict/words).  Appears to be up to 10 times faster than
 wordplay, especially for longer phrases.

=== debian/rules ===
#!/usr/bin/make -f
#
# This is a special rules files for handling alien or binary packages
# Christoph Lameter, October 30, 1996

package=an

debian/build:
	$(checkdir)
	touch debian/build
	cd an-0.93;make clean;make
clean:
	$(checkdir)
	-rm -f debian/build
	-rm -rf *~ debian/tmp debian/*~ debian/files*
	cd an-0.93;make clean

binary-indep:	checkroot debian/build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot debian/build
	$(checkdir)
	-rm -rf debian/tmp
# Install binary package
	install -d debian/tmp

# create dirs
	install -d -o root -g root -m 0755 debian/tmp/usr/games
	install -d -o root -g root -m 0755 debian/tmp/usr/doc/an
# install files
	install -s -o root -g root -m 0755 an-0.93/an debian/tmp/usr/games/an
	install -o root -g root -m 0644 an-0.93/README debian/tmp/usr/doc/an/README
	install -o root -g root -m 0644 an-0.93/EXAMPLE.ANAGRAMS debian/tmp/usr/doc/an/EXAMPLE.ANAGRAMS
	install -o root -g root -m 0644 an-0.93/TODO debian/tmp/usr/doc/an/TODO
	install -o root -g root -m 0644 an-0.93/HINTS debian/tmp/usr/doc/an/HINTS
	

#	cp -a `ls | grep -v debian` debian/tmp

#
# If you need to move files around in debian/tmp or do some
# binary patching ... Insert it here
#
	debstd
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

build:	debian/build

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## an 0.93-1.1

=== debian/changelog ===
an (0.93-1.1) unstable; urgency=low

  * Non-maintainer release.
  * Libc6 compile.
  * Change architecture from i386 to any. (#13690)

 -- Martin Mitchell <martin@debian.org>  Sun,  9 Nov 1997 03:52:54 +1100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: games
 Priority: extra
 Maintainer: Richard Jones <richard@deep-thought.org>
-Standards-Version: 2.1.1.0
+Standards-Version: 2.3.0.1
 
 Package: an
-Architecture: i386
+Architecture: any
 Depends: ${shlibs:Depends}
 Description: Very fast anagram generator.
  Generates anagrams for a phrase supplied by the user, the words used in the

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 # Christoph Lameter, October 30, 1996
 
 package=an
+STRIP=strip
 
 debian/build:
 	$(checkdir)
@@ -29,14 +30,22 @@
 
 # create dirs
 	install -d -o root -g root -m 0755 debian/tmp/usr/games
+	install -d -o root -g root -m 0755 debian/tmp/DEBIAN
 	install -d -o root -g root -m 0755 debian/tmp/usr/doc/an
 # install files
-	install -s -o root -g root -m 0755 an-0.93/an debian/tmp/usr/games/an
+	install -o root -g root -m 0755 an-0.93/an debian/tmp/usr/games/an
+	$(STRIP) debian/tmp/usr/games/an
 	install -o root -g root -m 0644 an-0.93/README debian/tmp/usr/doc/an/README
 	install -o root -g root -m 0644 an-0.93/EXAMPLE.ANAGRAMS debian/tmp/usr/doc/an/EXAMPLE.ANAGRAMS
 	install -o root -g root -m 0644 an-0.93/TODO debian/tmp/usr/doc/an/TODO
+	
 	install -o root -g root -m 0644 an-0.93/HINTS debian/tmp/usr/doc/an/HINTS
-	
+	install -o root -g root -m 0644 debian/changelog debian/tmp/usr/doc/an
+	gzip -9v debian/tmp/usr/doc/an/*
+	install -o root -g root -m 0644 debian/copyright debian/tmp/usr/doc/an
+	install -d -o root -g root -m 0755 debian/tmp/usr/man/man6
+	install -o root -g root -m 0644 an-0.93/an.6 debian/tmp/usr/man/man6
+	gzip -9v debian/tmp/usr/man/man6/*
 
 #	cp -a `ls | grep -v debian` debian/tmp
 
@@ -44,7 +53,7 @@
 # If you need to move files around in debian/tmp or do some
 # binary patching ... Insert it here
 #
-	debstd
+	dpkg-shlibdeps debian/tmp/usr/games/an
 	dpkg-gencontrol
 	dpkg --build debian/tmp ..

## an 0.93-1.2

=== debian/changelog ===
an (0.93-1.2) unstable; urgency=low

  * NMU for release critical bug
  * Changed location of wordlist to /usr/share/dict/words
    Bug #27296, #35581, #38510, #38996, #40440
  * Also changed this in the description
  * Recommends: wordlist, fixes #27297
  * Use correct name for changelog (lintian)

 -- Martin Bialasinski <martinb@debian.org>  Fri, 16 Jul 1999 23:56:33 +0200

=== debian/control ===
Source: an
Section: games
Priority: extra
Maintainer: Richard Jones <richard@deep-thought.org>
Standards-Version: 2.3.0.1

Package: an
Architecture: any
Depends: ${shlibs:Depends}
Recommends: wordlist
Description: Very fast anagram generator.
 Generates anagrams for a phrase supplied by the user, the words used in the
 anagram are taken from a specified dictionary which should contain one word
 per line (default:/usr/share/dict/words).  Appears to be up to 10 times 
 faster than wordplay, especially for longer phrases.

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	install -o root -g root -m 0644 an-0.93/TODO debian/tmp/usr/doc/an/TODO
 	
 	install -o root -g root -m 0644 an-0.93/HINTS debian/tmp/usr/doc/an/HINTS
-	install -o root -g root -m 0644 debian/changelog debian/tmp/usr/doc/an
+	install -o root -g root -m 0644 debian/changelog debian/tmp/usr/doc/an/changelog.Debian
 	gzip -9v debian/tmp/usr/doc/an/*
 	install -o root -g root -m 0644 debian/copyright debian/tmp/usr/doc/an
 	install -d -o root -g root -m 0755 debian/tmp/usr/man/man6

## an 0.94

=== Makefile ===
#    an v0.93 - Anagram generator
#    Copyright (C) 1996 Free Software Foundation
#    Copyright (C) 1995,1996  Richard Jones
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    Mail suggestions and bug reports to
#    richard@deep-thought.org


# Change these variables to suit your system

INSTALLDIR=$(DESTDIR)/usr/games
MANDIR=$(DESTDIR)/usr/share/man/man6


# Note that if you change CC here you must also change it in ./lib/Makefile
CC=gcc

# if using a compiler which adheres strictly to ANSI C guidelines then
# uncomment the next line.

#DEFS=-DFORCE_ANSI

CFLAGS=-O2 -Wall -I $(LIBDIR) $(DEFS) # -g -pg

# Nothing should need changing below here

LIBDIR=./lib
OBJS=an.o # gan_qsort.o
BIN=an
GETOPT=$(LIBDIR)/getopt.o $(LIBDIR)/getopt1.o
MAN=an.6


$(BIN): $(OBJS)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS)
$(OBJS): gan.h
$(MAN):

$(GETOPT):
	cd $(LIBDIR) && make

$(INSTALLDIR)/$(BIN): $(BIN)
	cp $(BIN) $(INSTALLDIR)/$(BIN)
	chmod 755 $(INSTALLDIR)/$(BIN)
$(MANDIR)/$(MAN): $(MAN)
	cp $(MAN) $(MANDIR)/$(MAN)
	chmod 644 $(MANDIR)/$(MAN)


with-getopt: $(OBJS) $(GETOPT)
	$(CC) $(CFLAGS) -o $(BIN) $(OBJS) $(GETOPT)

install: $(BIN) $(INSTALLDIR)/$(BIN) $(MANDIR)/$(MAN)

install-with-getopt: with-getopt $(INSTALLDIR)/$(BIN) $(MANDIR)/$(MAN)

clean:
	-rm -f $(BIN) *.o
	-rm -f $(LIBDIR)/*.o

## an 0.95

=== Makefile ===
--- 
+++ 
@@ -34,12 +34,13 @@
 
 #DEFS=-DFORCE_ANSI
 
-CFLAGS=-O2 -Wall -I $(LIBDIR) $(DEFS) # -g -pg
+CFLAGS=-O2 -Wall -I $(LIBDIR) $(DEFS)
 
 # Nothing should need changing below here
 
 LIBDIR=./lib
-OBJS=an.o # gan_qsort.o
+OBJS = an.o
+#OBJS += gan_qsort.o
 BIN=an
 GETOPT=$(LIBDIR)/getopt.o $(LIBDIR)/getopt1.o
 MAN=an.6
@@ -69,14 +70,5 @@
 install-with-getopt: with-getopt $(INSTALLDIR)/$(BIN) $(MANDIR)/$(MAN)
 
 clean:
-	-rm -f $(BIN) *.o
+	-rm -f $(BIN) *.o *~
 	-rm -f $(LIBDIR)/*.o
-
-
-
-
-
-
-
-
-

=== lib/Makefile ===
#    an v0.93 - Anagram generator
#    Copyright (C) 1996 Free Software Foundation
#    Copyright (C) 1995,1996  Richard Jones
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#
#    Mail suggestions and bug reports to
#    richard@deep-thought.org

#Note may need to change this for your system, the only reason this Makefile
#exists is because the non-gnu make on suns is brain dead.

CC=gcc
CFLAGS=-O2
all: getopt.o getopt1.o

## an 1.0

=== Makefile ===
#    an - Anagram generator
#    Copyright (C) 2012 Paul Martin <pm@debian.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License along
#    with this program; if not, write to the Free Software Foundation, Inc.,
#    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.


INSTALLDIR := $(DESTDIR)/usr/games
MANDIR := $(DESTDIR)/usr/share/man/man6

CC:=gcc
INSTALL:=install

CFLAGS += $(shell icu-config --cflags)
CPPFLAGS += $(shell icu-config --cppflags) -D_BSD_SOURCE=1 -D_GNU_SOURCE=1
LDFLAGS += $(shell icu-config --ldflags)

BIN=an
MAN=an.6
OBJS=an.o bitfield.o malloc.o unicode.o words.o
HEADERS=an.h bitfield.h malloc.h unicode.h words.h


all:	$(BIN)

$(OBJS): $(HEADERS)

$(BIN):	$(OBJS)

$(MAN):

install:	$(BIN)
	$(INSTALL) -m 755 $(BIN) $(INSTALLDIR)/$(BIN)
	$(INSTALL) -m 644 $(MAN) $(MANDIR)/$(MAN)

clean:
	rm -f *.o $(BIN)

distclean:	clean
	rm -f *~

=== debian/changelog ===
an (1.0-2) unstable; urgency=low

  * Modify Makefile to allow linking with --as-needed.
    Thanks to Stefano Rivera. (Closes: #674496)
  * Added pointers in debian/control to the "upstream" git repository.

 -- Paul Martin <pm@debian.org>  Mon, 28 May 2012 18:38:59 +0100

an (1.0-1) unstable; urgency=low

  * Complete "clean room" rewrite from scratch.
    + Understands UTF-8 and strips accents when comparing characters.
      (Closes: #546460)
    + Does not print duplicates, but may show up words in dictionary that
      appear multiple times with different capitalization. (Closes: #440121)
    + Does not print a space at the end of each line. (Closes: #561367)
  * Update to standards version: 3.9.3
  * debian/copyright now in machine readable format.
  * Source format 3.0 (quilt).
  * Build with debhelper 9.

 -- Paul Martin <pm@debian.org>  Wed, 16 May 2012 17:45:44 +0100

an (0.95-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium caused by RC bug fix
  * Recommend wbritish instead of wenglish (Closes: #564059)
  * Fix some minor lintian warnings:
    - Add ${misc:Depends} to depends
    - Don't ignore errors in make clean
    - Fix FSF address

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 20 Jan 2010 11:04:38 +0100

an (0.95-3.1) unstable; urgency=low

  * Non-maintainer upload to delayed
  * Incorporate speedup and fixes patches
    from Phil Carmody <thefatphil@yahoo.co.uk>,
    (Closes: #234744)

 -- Riku Voipio <riku.voipio@iki.fi>  Sun, 18 Jan 2009 23:18:05 +0200

an (0.95-3) unstable; urgency=low

  * Bugfixes:
    - Fix manpage to refer to /usr/share/dict/words instead of
      /usr/dict/words (Closes: #249362)
  * Standards-version: 3.6.1
  * Building with debhelper 4

 -- Paul Martin <pm@debian.org>  Wed, 19 May 2004 17:38:41 +0100

an (0.95-2) unstable; urgency=low

  * Bugfix: (Closes: #164514)
    - Made all casts into letterpos[] be "unsigned char". This is a 
      related bug to the one fixed in #145848.

 -- Paul Martin <pm@debian.org>  Sun, 13 Oct 2002 03:11:36 +0100

an (0.95-1) unstable; urgency=low

  * Bugfixes: (Closes: #145848)
    - Made all chars unsigned (casting them to int caused accented 
      characters to return negative array indexes).
    - Fixed initialisation of letter_mask to use bitmask_t not int.
    - Fixed check_dict() to search for next unique let_hash entry 
      instead of assuming that the next entry will be unique.
  * Added assertion in check_dict() to check for PPC problem, reported 
    by Gabriel L Somlo. This may be fixed by the other bugfixes above.

 -- Paul Martin <pm@debian.org>  Mon,  6 May 2002 15:22:48 +0100

an (0.94-1) unstable; urgency=low

  * Major rewrite to work with languages other than English.
    (Closes: #13809)
  * Uses debhelper 3.
  * Standards-Version 3.5.4.

 -- Paul Martin <pm@debian.org>  Tue, 15 May 2001 16:05:59 +0100

an (0.93-2) unstable; urgency=low

  * New Maintainer.
  * Thanks to NMU, closes: #27296, #27297, #35581, #38510,
    #38996, #40440
  * Updated to Standards-Version 3.2.1.
  * Converted to debhelper.

 -- Paul Martin <pm@debian.org>  Mon, 13 Nov 2000 22:53:49 +0000

=== debian/control ===
Source: an
Section: games
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>=9), libicu-dev
Standards-Version: 3.9.3
Vcs-Git: git://anonscm.debian.org/anagram/anagram.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=anagram/anagram.git

Package: an
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wbritish|wordlist
Description: very fast anagram generator
 Generates anagrams for a phrase supplied by the user, the words used in the
 anagram are taken from a specified dictionary which should contain one word
 per line (default:/usr/share/dict/words). It understands accented characters
 and should work with any alphabetic language.

## an 1.1

=== debian/changelog ===
an (1.1-1build1) trusty; urgency=medium

  * No change rebuild against libicu52

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Dec 2013 03:04:46 +0000

an (1.1-1) unstable; urgency=low

  * New upstream release
  * Fixes crash on certain inputs. Thanks to Mark Triggs for spotting this.
    (Closes: #710476)
  * Add watchfile for alioth source repository.
  * Upstream has taken patch for #674496.
  * Update to standards version: 3.9.4 (no changes).

 -- Paul Martin <pm@debian.org>  Mon, 03 Jun 2013 19:25:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: an
 Section: games
 Priority: optional
-Maintainer: Paul Martin <pm@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paul Martin <pm@debian.org>
 Build-Depends: debhelper (>=9), libicu-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/anagram/anagram.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=anagram/anagram.git

## an 1.2

=== Makefile ===
--- 
+++ 
@@ -25,6 +25,7 @@
 CFLAGS += $(shell icu-config --cflags)
 CPPFLAGS += $(shell icu-config --cppflags) -D_BSD_SOURCE=1 -D_GNU_SOURCE=1
 LDFLAGS += $(shell icu-config --ldflags)
+LIBS += $(shell icu-config --ldflags-libsonly)
 
 BIN=an
 MAN=an.6
@@ -37,6 +38,7 @@
 $(OBJS): $(HEADERS)
 
 $(BIN):	$(OBJS)
+	$(CC) $(CFLAGS) $(LDFLAGS) $^ $(LIBS) -o $@
 
 $(MAN):

=== debian/changelog ===
an (1.2-7build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:04:37 +0100

an (1.2-7build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 10:20:41 -0500

an (1.2-7) unstable; urgency=medium

  * d/control: bump Standards-Version to 4.6.1, no changes needed
  * d/control: bump the dh compat level to 13, no changes needed
  * d/control: drop superfluous -b from Vcs-Git
  * d/copyright: update copyright years for debian/*
  * d/gbp.conf: debian-branch = debian/latest (DEP-14)
  * debian/*: new email address for Paride: paride@debian.org
  * debian/*: wrap-and-sort -bast (cosmetic)

 -- Paride Legovini <paride@debian.org>  Tue, 31 May 2022 23:15:35 +0000

an (1.2-6) unstable; urgency=medium

  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Bump the dh compat level to 12 (no changes needed).
  * Fix a FTCBFS by making pkg-config substitutable.
    Closes: #931128. Thanks: Helmut Grohne.
  * d/control: add Rules-Requires-Root: no.
  * d/gbp.conf: make the options DEFAULT; use pristine-tar.

 -- Paride Legovini <pl@ninthfloor.org>  Sun, 01 Dec 2019 14:22:46 +0000

an (1.2-5) unstable; urgency=medium

  * Patch: replace icu-config with pkg-config (closes: #915380)
    Thanks: Hugh McMaster
  * Build-Depend on pkg-config
  * Build-Depend on debhelper-compat (= 11); drop d/compat
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Paride Legovini <pl@ninthfloor.org>  Sat, 15 Dec 2018 12:52:09 +0000

an (1.2-4) unstable; urgency=medium

  * d/copyright: Upstream source moved to salsa
  * d/watch: Upstream moved to salsa; use ‘mode=git’
  * d/control: Add the Homepage field
  * Autopkgtest: trivial-anagram
  * Bump Standards-Version to 4.1.4 (no changes needed)

 -- Paride Legovini <pl@ninthfloor.org>  Wed, 27 Jun 2018 18:35:26 +0000

an (1.2-3) unstable; urgency=medium

  * Add upstream metadata file
  * Set debian-branch for 'gbp tag' in d/gbp.conf

 -- Paride Legovini <pl@ninthfloor.org>  Mon, 26 Mar 2018 22:23:35 +0000

an (1.2-2) unstable; urgency=medium

  * New maintainer (Closes: #889308)
  * Update to Standard-Version 4.1.3
  * Switch to https URLs
  * Hardened build

 -- Paride Legovini <pl@ninthfloor.org>  Fri, 09 Feb 2018 12:39:35 +0100

an (1.2-1) unstable; urgency=low

  * New upstream release
  * Fixes crash when dictionary contains "words" with no letters.
    (Closes: #753249)
  * Update to standards version: 3.9.5 (no changes).

 -- Paul Martin <pm@debian.org>  Wed, 02 Jul 2014 01:05:41 +0100

=== debian/control ===
Source: an
Section: games
Priority: optional
Maintainer: Paride Legovini <paride@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libicu-dev,
 pkg-config,
Standards-Version: 4.6.1
Homepage: https://salsa.debian.org/pm/an
Vcs-Git: https://salsa.debian.org/debian/an.git
Vcs-Browser: https://salsa.debian.org/debian/an
Rules-Requires-Root: no

Package: an
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 wbritish | wordlist,
Description: very fast anagram generator
 Generates anagrams for a phrase supplied by the user, the words used in the
 anagram are taken from a specified dictionary which should contain one word
 per line (default:/usr/share/dict/words). It understands accented characters
 and should work with any alphabetic language.

=== debian/rules ===
#!/usr/bin/make -f

# https://wiki.debian.org/HardeningWalkthrough
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="mode=git" https://salsa.debian.org/pm/an refs/tags/([\d\.]+)

## an 1.2-1maemo1

=== debian/changelog ===
an (1.2-1maemo1) unstable; urgency=low

  * Maemo release changed compat level

 -- Christian Weniger <less_to_space@web.de>  Sun, 21 Jul 2019 15:41:00 +0100

=== debian/control ===
Source: an
Section: games
Priority: optional
Maintainer: Paul Martin <pm@debian.org>
Build-Depends: debhelper (>=7), libicu48-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/anagram/anagram.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=anagram/anagram.git

Package: an
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wbritish|wordlist
Description: very fast anagram generator
 Generates anagrams for a phrase supplied by the user, the words used in the
 anagram are taken from a specified dictionary which should contain one word
 per line (default:/usr/share/dict/words). It understands accented characters
 and should work with any alphabetic language.

## an dtesetupmanager-0.1.0

=== requirements.txt ===
git+https://Atsushi888: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@github.com/Atsushi888/an_DebugHelper.git
git+https://Atsushi888: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@github.com/Atsushi888/an_EnvManager.git
git+https://Atsushi888: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@github.com/Atsushi888/an_CudaUtility.git

## an quickviper2-1.1.1

=== requirements.txt ===
git+https://Atsushi888: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@github.com/Atsushi888/an_DebugHelper>=1.2.3,<2.0.0.git
git+https://Atsushi888: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@github.com/Atsushi888/an_EasyVen>=0.1.5,<1.0.0.git
git+https://Atsushi888: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@github.com/Atsushi888/an_UniqueEnvVar>=0.1.5,<1.0.0.git
